# Filename: gui_begin_block.py
# Purpose:  Create a GUI panel showing 2 frame blocks, one with border, one without border.
# Results:  Display panel.

from maptek import vulcan_gui

pan = vulcan_gui.panel("Basic Panel")

pan.begin_block(border=True, title='Block with border')

pan.radiobutton(tag='rad_1', prompt='Choice one', bank=0)
pan.radiobutton(tag='rad_2', prompt='Choice two', bank=0)
pan.radiobutton(tag='rad_3', prompt='Choice three', bank=0)
pan.end_block()

pan.staticline()

pan.begin_block(border=False, title='Block without border')

pan.radiobutton(tag='rad_4', prompt='Choice one', bank=0)
pan.radiobutton(tag='rad_5', prompt='Choice two', bank=0)
pan.radiobutton(tag='rad_6', prompt='Choice three', bank=0)
pan.end_block()

pan.display()